package com.foc.ods.entity;

import java.sql.Timestamp;
import java.sql.Date;

public class OdsEntity{

    protected String id;  //机组类型

    protected String crewTypeId;  //

    protected Date flightDate;  //航班日期

    protected String flightNo;  //航班号

    protected String acNo;  //飞机号

    protected String aircraftType;  //大机型

    protected String staffId;  //员工编号

    protected String loginId;  //内网帐号

    protected String staffName;  //员工姓名

    protected String rankSd;  //级别名称

    protected String rankEnSd;  //级别英文名称

    protected String signUp;  //是否需要签到

    protected String remark;  //备注信息 包含带飞或则检查说明

    protected String trngMode;  //培训模式 如空中培训，航线检查

    protected Timestamp wpDate;  //发布时间

    protected Timestamp modTime;  //修改时间

    protected Timestamp modified;  //

    protected String depStn;  //起飞机场

    protected String arrStn;  //到达机场

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCrewTypeId() {
        return crewTypeId;
    }

    public void setCrewTypeId(String crewTypeId) {
        this.crewTypeId = crewTypeId;
    }

    public Date getFlightDate() {
        return flightDate;
    }

    public void setFlightDate(Date flightDate) {
        this.flightDate = flightDate;
    }

    public String getFlightNo() {
        return flightNo;
    }

    public void setFlightNo(String flightNo) {
        this.flightNo = flightNo;
    }

    public String getAcNo() {
        return acNo;
    }

    public void setAcNo(String acNo) {
        this.acNo = acNo;
    }

    public String getAircraftType() {
        return aircraftType;
    }

    public void setAircraftType(String aircraftType) {
        this.aircraftType = aircraftType;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getLoginId() {
        return loginId;
    }

    public void setLoginId(String loginId) {
        this.loginId = loginId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getRankSd() {
        return rankSd;
    }

    public void setRankSd(String rankSd) {
        this.rankSd = rankSd;
    }

    public String getRankEnSd() {
        return rankEnSd;
    }

    public void setRankEnSd(String rankEnSd) {
        this.rankEnSd = rankEnSd;
    }

    public String getSignUp() {
        return signUp;
    }

    public void setSignUp(String signUp) {
        this.signUp = signUp;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getTrngMode() {
        return trngMode;
    }

    public void setTrngMode(String trngMode) {
        this.trngMode = trngMode;
    }

    public Timestamp getWpDate() {
        return wpDate;
    }

    public void setWpDate(Timestamp wpDate) {
        this.wpDate = wpDate;
    }

    public Timestamp getModTime() {
        return modTime;
    }

    public void setModTime(Timestamp modTime) {
        this.modTime = modTime;
    }

    public Timestamp getModified() {
        return modified;
    }

    public void setModified(Timestamp modified) {
        this.modified = modified;
    }

    public String getDepStn() {
        return depStn;
    }

    public void setDepStn(String depStn) {
        this.depStn = depStn;
    }

    public String getArrStn() {
        return arrStn;
    }

    public void setArrStn(String arrStn) {
        this.arrStn = arrStn;
    }
}